//code de test pour led RGB
//modifier la ligne suivante en conséquence 
#define redpin 3
#define bluepin 5
#define greenpin 6

//  anode commune borne la plus longue sur le  +5V
//  cathode commune borne cmmune sur GND

//modifier en fonction de la led utilisée
#define commonAnode false
int max =0;

void setup() {
  
  //configuration des trois ports en mode sortie 
  pinMode(redpin, OUTPUT);
  pinMode(greenpin, OUTPUT);
  pinMode(bluepin, OUTPUT);
  Serial.begin(9600); //début de la communication série 
  if (commonAnode) {
    Serial.println("Test du rouge");
    Couleur(0,255,255);
    delay(2000);
    Serial.println("Test du vert");
    Couleur(255,0,255);
    delay(2000); 
    Serial.println("Test du bleu");
    Couleur(255,255,0);
    delay(2000);
      
   }
   else {
     Serial.println("Test du rouge");
    Couleur(255,0,0);
    delay(2000);
    Serial.println("Test du vert");
    Couleur(0,255,0);
    delay(2000); 
    Serial.println("Test du bleu");
    Couleur(0,0,255);
    delay(2000);
   }
      
 
}
void Couleur(int rouge,int vert,int bleu){
  analogWrite(redpin, rouge );analogWrite(greenpin, vert );analogWrite(bluepin,bleu); 
}

void loop() {
   while (Serial.available()) { // tant que des caractères sont en attente d'être lus

    char c = Serial.read(); // on lit le charactère

    //Serial.print(c); // on l'écrit sur le moniteur
    if(c == 'b')  {
      if (commonAnode) 
        Couleur(255,255,0);
      else 
        Couleur(0,0,255);
      delay(1000);
      int sensorValue = analogRead(A0);
      float voltage = sensorValue * (5.0 / 1023.0);
      // print out the value you read:
      Serial.println(voltage);
    }
    if(c == 'v')  {
       if (commonAnode) 
        Couleur(255,0,255);
      else 
        Couleur(0,255,0);
      delay(1000);
      int sensorValue = analogRead(A0);
      float voltage = sensorValue * (5.0 / 1023.0);
      // print out the value you read:
      Serial.println(voltage);
    
    }
    if(c == 'r')  {
     if (commonAnode) 
        Couleur(0,255,255);
      else 
        Couleur(255,0,0);
      delay(1000);
      int sensorValue = analogRead(A0);
      float voltage = sensorValue * (5.0 / 1023.0);
      // print out the value you read:
      Serial.println(voltage);
    
    }
    delay(10); // petit temps de pause
    
  }

}

